/* from Henry Spencer's stringlib */
/* modified by ERS */
#include <string.h>

/*
 * strchr - find first occurrence of a character in a string
 */

char *				/* found char, or NULL if none */
strchr(s, charwanted)
const char *s;
register int charwanted;
{
	register char c;

	/*
	 * The odd placement of the two tests is so NUL is findable.
	 */
	while ((c = *s++) != (char) charwanted)
		if (c == 0) return NULL;
	return((char *)--s);
}
